---
title: Getting started
pageTitle: WunderGraph - Getting started with WunderGraph
description: Initialize your WunderGraph development environment and get started using WunderGraph
---

## Quick start

This quick start guide will help you to start a new WunderGraph project from scratch.

## Install Node.js

Wundergraph uses Node.js to manage your projects. Install its latest LTS release
following their [official instructions](https://nodejs.org).

## Creating a new WunderGraph project

```shell
# Init a new project with the Next.js starter kit
npx create-wundergraph-app my-project -E nextjs

# Move the the project directory
cd my-project

# Install dependencies and start
npm i && npm start
```

## Integrating WunderGraph with an existing project

You can also easily integrate WunderGraph into your existing projects.

```shell
npx create-wundergraph-app <project-name> -E simple
```

## More Examples

Have a look at [other examples](/docs/examples) we provide, to get a better understanding of WunderGraph.

## Where to go next?

If you're not yet sure what kind of problems WunderGraph can solve for you,
check out [the different use cases](/docs/use-cases) we support,
and the different [features](/docs/features) we provide.
You might also be interested to learn more about the [architecture](/docs/architecture) of WunderGraph.
If you haven't read our [Manifesto](/manifesto) yet, it's a great way to better understand what we're working on and why.

If you've got questions, please [join our Discord community](https://wundergraph.com/discord) or [contact us](https://wundergraph.com/contact/sales).
